Bug 1653646 - [Recurring logic/Sync Plan] - Associated Resources are not shown in Recurring Logic created using sync plan
Summary: [Recurring logic/Sync Plan] - Associated Resources are not shown in Recurring...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Sync Plans
Version: 6.5.0
Hardware: All
OS: All
unspecified
medium vote
Target Milestone: Released
Assignee: Justin Sherrill
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-27 10:52 UTC by Omkar Khatavkar
Modified: 2019-10-07 17:20 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.24-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:09 UTC


Attachments (Terms of Use)
Recurring Logic Associated Resource (116.33 KB, image/png)
2018-11-27 10:52 UTC, Omkar Khatavkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:16 UTC
Foreman Issue Tracker 25934 None None None 2019-01-28 18:49:37 UTC

Description Omkar Khatavkar 2018-11-27 10:52:39 UTC
Created attachment 1508796 [details]
Recurring Logic Associated Resource

Description of problem:
Associated Resources are not shown in Recurring Logic created using sync plan

Version-Release number of selected component (if applicable):
6.5.Z

How reproducible:
Always

Steps to Reproduce:
1. Create custom cron sync plan
2.
3.

Actual results:
Associated Resources in recurring logic are shown blank always. 

Expected results:
Associated Resources should contain products or sync plans as associated resources

Additional info:
Need to be discussed what is going inside associated resource, if not can be removed

Comment 2 jcallaha 2018-11-27 18:09:17 UTC
Omkar, can you try aligning that to a repository and see if the repo shows up in the UI? If it doesn't, this is a valid bug. Otherwise, then this to be working as I would expect.

Comment 3 Omkar Khatavkar 2019-01-23 07:33:43 UTC
apologies for late reply, This looks like a valid bug in UI. As when I added products to sync plan then recurring logic should have the 'Associated Resources' list.   

Now we don't see anything in Associated Resources. It good to know what things we should have in Associated Resources for assigned Recurring Logic.

Comment 5 Justin Sherrill 2019-01-28 18:49:36 UTC
Created redmine issue https://projects.theforeman.org/issues/25934 from this bug

Comment 6 Bryan Kearney 2019-01-30 23:02:15 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 7 Bryan Kearney 2019-01-30 23:02:16 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 8 Bryan Kearney 2019-02-06 05:02:14 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25934 has been resolved.

Comment 12 errata-xmlrpc 2019-05-14 12:39:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.